<?php
class GridPromoAction extends wtActions
{
    public function execute()
    {
        $block = $this->getRequestParameter( 'block' );
        $page  = $this->getRequestParameter( 'page' );
        
        set_header_utf8();
        ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
        $o_GridAction = new GridAction();
        $o_GridAction->setClassFind( new MKT_PromocionCabFN() );
        
        $o_GridAction->addConditionFilter( "DescripcionPromo", MKT_PromocionCabFN::DescripcionPromo, "LIKE", "%%s%" );

        //$o_GridAction->addMethodDefault( MST_UbicacionFN::IdPromoCab, array( 'Condition'=>'=', 'Value'=>"0" ) );
        
        $o_GridAction->addOrder( "EstadoPromo", MKT_PromocionCabFN::EstadoPromo );
        
        $o_GridAction->addOrderDefault( MKT_PromocionCabFN::IdPromoCab, true );
        
        $o_GridAction->addRowsToShow( "IdPromoCab", "CodigoPromo","DescripcionPromo", "FechaInicio", "FechaFin", "CantidadPromo", "PrecioConIGVPromo", "UsuarioCreacion", "EstadoPromoDesc", "EstadoPromo" );
              
        $o_GridAction->setNumberRecordsShow( 100 );
        
        $o_GridAction->initialize();
        ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
        $a_ResultJson['page']    = $o_GridAction->getPage();
        $a_ResultJson['total']   = $o_GridAction->getTotalPage();
        $a_ResultJson['records'] = $o_GridAction->getTotalRecords();
        $a_ResultJson['rows']    = $o_GridAction->getResultArray();
        //pr( $a_ResultJson );
        echo json_encode( $a_ResultJson );

        return ViewResponse::NONE;   
    }
}